Bug 1760961 - Please add lame to EPEL 8 or CentOS
Summary: Please add lame to EPEL 8 or CentOS
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: lame
Version: epel8
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert Scheck
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1760998
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-11 20:08 UTC by Bryan Roessler
Modified: 2019-12-20 22:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-20 22:51:01 UTC
Type: Bug


Attachments (Terms of Use)
Don't build subpackage mp3x in EPEL 8 due to missing dependency gtk+-devel (1.73 KB, patch)
2019-12-18 13:29 UTC, Peter Oliver
no flags Details | Diff

Description Bryan Roessler 2019-10-11 20:08:53 UTC
lame-3.100-1.el7.x86_64.rpm exists but is not available in EPEL 8. Can this be added to the CentOS yet since the mp3 patents expired? It's available in Fedora.

Comment 1 Robert Scheck 2019-10-11 20:21:45 UTC
It seems like the build-time dependencies are incomplete so far (I already tried to build it).

Comment 2 Peter Oliver 2019-12-18 13:29:34 UTC
Created attachment 1646104 [details]
Don't build subpackage mp3x in EPEL 8 due to missing dependency gtk+-devel

The attached patch allows LAME to build in EPEL 8.

Comment 3 Peter Oliver 2019-12-18 13:33:05 UTC
(Or you can pull this from the epel8 branch of https://src.fedoraproject.org/forks/mavit/rpms/lame.git if that's easier).

Comment 4 Robert Scheck 2019-12-18 15:26:43 UTC
I wonder if it makes sense to disable the subpackage also in Rawhide (for future Fedora releases) when looking to bug #1760995 comment #1.

Comment 5 Peter Oliver 2019-12-18 19:17:34 UTC
It seems to me that the mp3x program would be useful only to LAME developers, so I think it probably doesn't make much sense to continue to package it.

Comment 6 Robert Scheck 2019-12-19 23:43:01 UTC
Let's go without lame-mp3x in Fedora 32+ and EPEL 8+

Comment 8 Robert Scheck 2019-12-20 22:51:01 UTC
As https://pagure.io/releng/fedora-scm-requests/issue/20776 says, the package is part of RHEL 8. Thus no EPEL 8 possible.


Note You need to log in before you can comment on or make changes to this bug.